ControlFlowGraph (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.verifier.structurals.ControlFlowGraph class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class ControlFlowGraph

    java.lang.Object
      org.apache.bcel.verifier.structurals.ControlFlowGraph

    public class ControlFlowGraph

extends Object

This class represents a control flow graph of a method.

Version:
  $Id: ControlFlowGraph.java 386056 2006-03-15 11:31:56Z tcurdt $

Constructor Summary
`ControlFlowGraph(MethodGen method_gen)` A Control Flow Graph.

Method Summary
`InstructionContext` | `contextOf(InstructionHandle inst)` Returns the InstructionContext of a given instruction.
`InstructionContext[]` | `contextsOf(InstructionHandle[] insts)` Returns the InstructionContext[] of a given InstructionHandle[], in a naturally ordered manner.
`InstructionContext[]` | `getInstructionContexts()` Returns an InstructionContext[] with all the InstructionContext instances for the method whose control flow is represented by this ControlFlowGraph (NOT ORDERED!).
`boolean` | `isDead(InstructionHandle i)` Returns true, if and only if the said instruction is not reachable; that means, if it is not part of this ControlFlowGraph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlFlowGraph

    public ControlFlowGraph(MethodGen method_gen)

  A Control Flow Graph.

Method Detail

### contextOf

    public InstructionContext contextOf(InstructionHandle inst)

  Returns the InstructionContext of a given instruction.

### contextsOf

    public InstructionContext[] contextsOf(InstructionHandle[] insts)

  Returns the InstructionContext[] of a given InstructionHandle[], in a naturally ordered manner.

### getInstructionContexts

    public InstructionContext[] getInstructionContexts()

  Returns an InstructionContext[] with all the InstructionContext instances for the method whose control flow is represented by this ControlFlowGraph (NOT ORDERED!).

### isDead

    public boolean isDead(InstructionHandle i)

  Returns true, if and only if the said instruction is not reachable; that means, if it is not part of this ControlFlowGraph.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.